Bug 1131644 - VUL-0: wpa_supplicant: here be dragons (VU#871675)
VUL-0: wpa_supplicant: here be dragons (VU#871675)
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Clemens Famulla-Conrad
Security Team bot
https://smash.suse.de/issue/228988/
maint:planned:update
:
Depends on: 1131289
Blocks: CVE-2019-9495 CVE-2019-9497 CVE-2019-9498 CVE-2019-9494 CVE-2019-9496 CVE-2019-9499
  Show dependency treegraph
 
Reported: 2019-04-05 05:40 UTC by Marcus Meissner
Modified: 2022-05-26 10:18 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
wpa.txt (17.94 KB, text/plain)
2019-04-05 05:42 UTC, Marcus Meissner
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 4 Marcus Meissner 2019-04-10 15:24:28 UTC
public now, the sub issues were posted to oss-sec
Comment 5 Marcus Meissner 2020-03-18 08:34:39 UTC
-> new maintainer Clemens
Comment 11 Swamp Workflow Management 2020-11-19 14:27:47 UTC
SUSE-SU-2020:3380-1: An update that fixes 22 vulnerabilities, contains one feature is now available.

Category: security (moderate)
Bug References: 1131644,1131868,1131870,1131871,1131872,1131874,1133640,1144443,1150934,1156920,1166933,1167331,930077,930078,930079
CVE References: CVE-2015-4141,CVE-2015-4142,CVE-2015-4143,CVE-2015-8041,CVE-2017-13077,CVE-2017-13078,CVE-2017-13079,CVE-2017-13080,CVE-2017-13081,CVE-2017-13082,CVE-2017-13086,CVE-2017-13087,CVE-2017-13088,CVE-2018-14526,CVE-2019-11555,CVE-2019-13377,CVE-2019-16275,CVE-2019-9494,CVE-2019-9495,CVE-2019-9497,CVE-2019-9498,CVE-2019-9499
JIRA References: SLE-14992
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    wpa_supplicant-2.9-4.20.1
SUSE Linux Enterprise Server 15-LTSS (src):    wpa_supplicant-2.9-4.20.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    wpa_supplicant-2.9-4.20.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    wpa_supplicant-2.9-4.20.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    wpa_supplicant-2.9-4.20.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    wpa_supplicant-2.9-4.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-11-19 20:18:34 UTC
SUSE-SU-2020:3424-1: An update that fixes 19 vulnerabilities, contains one feature is now available.

Category: security (moderate)
Bug References: 1131644,1131868,1131870,1131871,1131872,1131874,1133640,1144443,1150934,1156920,1165266,1166933,1167331
CVE References: CVE-2015-8041,CVE-2017-13077,CVE-2017-13078,CVE-2017-13079,CVE-2017-13080,CVE-2017-13081,CVE-2017-13082,CVE-2017-13086,CVE-2017-13087,CVE-2017-13088,CVE-2018-14526,CVE-2019-11555,CVE-2019-13377,CVE-2019-16275,CVE-2019-9494,CVE-2019-9495,CVE-2019-9497,CVE-2019-9498,CVE-2019-9499
JIRA References: SLE-14992
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    wpa_supplicant-2.9-23.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2020-11-26 20:39:54 UTC
openSUSE-SU-2020:2053-1: An update that fixes 22 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1131644,1131868,1131870,1131871,1131872,1131874,1133640,1144443,1150934,1156920,1166933,1167331,930077,930078,930079
CVE References: CVE-2015-4141,CVE-2015-4142,CVE-2015-4143,CVE-2015-8041,CVE-2017-13077,CVE-2017-13078,CVE-2017-13079,CVE-2017-13080,CVE-2017-13081,CVE-2017-13082,CVE-2017-13086,CVE-2017-13087,CVE-2017-13088,CVE-2018-14526,CVE-2019-11555,CVE-2019-13377,CVE-2019-16275,CVE-2019-9494,CVE-2019-9495,CVE-2019-9497,CVE-2019-9498,CVE-2019-9499
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    wpa_supplicant-2.9-lp151.5.10.1
Comment 14 Swamp Workflow Management 2020-11-27 11:17:30 UTC
openSUSE-SU-2020:2059-1: An update that fixes 22 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1131644,1131868,1131870,1131871,1131872,1131874,1133640,1144443,1150934,1156920,1166933,1167331,930077,930078,930079
CVE References: CVE-2015-4141,CVE-2015-4142,CVE-2015-4143,CVE-2015-8041,CVE-2017-13077,CVE-2017-13078,CVE-2017-13079,CVE-2017-13080,CVE-2017-13081,CVE-2017-13082,CVE-2017-13086,CVE-2017-13087,CVE-2017-13088,CVE-2018-14526,CVE-2019-11555,CVE-2019-13377,CVE-2019-16275,CVE-2019-9494,CVE-2019-9495,CVE-2019-9497,CVE-2019-9498,CVE-2019-9499
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    wpa_supplicant-2.9-lp152.8.3.1
Comment 15 Clemens Famulla-Conrad 2021-02-10 08:18:40 UTC
wpa_supplicant was updated to 2.9 which include this fix.
Comment 18 Swamp Workflow Management 2022-05-26 10:18:00 UTC
SUSE-SU-2022:1853-1: An update that fixes 20 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1131644,1131868,1131870,1131871,1131872,1131874,1133640,1144443,1156920,1165266,1166933,1167331,1182805,1194732,1194733
CVE References: CVE-2015-8041,CVE-2017-13077,CVE-2017-13078,CVE-2017-13079,CVE-2017-13080,CVE-2017-13081,CVE-2017-13082,CVE-2017-13086,CVE-2017-13087,CVE-2017-13088,CVE-2018-14526,CVE-2019-11555,CVE-2019-13377,CVE-2019-9494,CVE-2019-9495,CVE-2019-9497,CVE-2019-9498,CVE-2019-9499,CVE-2022-23303,CVE-2022-23304
JIRA References: SLE-14992
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    wpa_supplicant-2.9-15.22.1
SUSE OpenStack Cloud Crowbar 8 (src):    wpa_supplicant-2.9-15.22.1
SUSE OpenStack Cloud 9 (src):    wpa_supplicant-2.9-15.22.1
SUSE OpenStack Cloud 8 (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    wpa_supplicant-2.9-15.22.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    wpa_supplicant-2.9-15.22.1
HPE Helion Openstack 8 (src):    wpa_supplicant-2.9-15.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.